#include <avr/io.h>
#include "peri.h"

void init_peri()
{
    // PC0..PC4 -> input
    DDRC &= ~((1<<PC0)|(1<<PC1)|(1<<PC2)|(1<<PC3)|(1<<PC4)|(1<<PC5));

    // enable pull-up resistor on PC0..PC4
    PORTC |= (1<<PC0)|(1<<PC1)|(1<<PC2)|(1<<PC3)|(1<<PC4)|(1<<PC5);
}
